#
# spec file for package ghc-bitcoin-api
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name bitcoin-api
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.12.1
Release:        lp150.1.4
Summary:        Provides access to the RPC API of Bitcoin Core
License:        MIT
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-base58string-devel
BuildRequires:  ghc-binary-devel
BuildRequires:  ghc-bitcoin-block-devel
BuildRequires:  ghc-bitcoin-script-devel
BuildRequires:  ghc-bitcoin-tx-devel
BuildRequires:  ghc-bitcoin-types-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-hexstring-devel
BuildRequires:  ghc-lens-aeson-devel
BuildRequires:  ghc-lens-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-unordered-containers-devel
BuildRequires:  ghc-wreq-devel
%if %{with tests}
BuildRequires:  ghc-hspec-devel
BuildRequires:  ghc-http-client-devel
%endif

%description
The Bitcoin Core application provides an HTTP RPC interface for communication.
This library implements access to these functions. It builds on top of the
`bitcoin-tx` and `bitcoin-script`, and as such provides an extremely flexible
environment to create, manipulate and store transactions and custom scripts.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE
%dir %{_datadir}/%{pkg_name}-%{version}
%{_datadir}/%{pkg_name}-%{version}/LICENSE
%{_datadir}/%{pkg_name}-%{version}/README.md

%files devel -f %{name}-devel.files

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.12.1 revision 0 with cabal2obs.
